AceTime 3.0.0 Date and time classes for Arduino that support timezones from the TZ Database.

Public Member Functions | List of all members
ace_time::ZoneInfoLow::ZoneInfoBroker Class Reference

Data broker for accessing ZoneInfo. More...

`#include <ZoneInfoLow.h>`

## Public Member Functions
| ZoneInfoBroker (const ZoneInfo *zoneInfo=nullptr)
| ZoneInfoBroker (const ZoneInfoBroker &)=default
ZoneInfoBroker & | operator= (const ZoneInfoBroker &)=default
bool | equals (uintptr_t zoneKey) const
bool | equals (const ZoneInfoBroker &zoneInfoBroker) const
bool | isNull () const
const ZoneContextBroker | zoneContext () const
const __FlashStringHelper * | name () const
uint32_t | zoneId () const
uint8_t | numEras () const
const ZoneEraBroker | era (uint8_t i) const
bool | isLink () const
ZoneInfoBroker | targetInfo () const
void | printNameTo (Print &printer) const
| Print a human-readable identifier (e.g. More...
void | printShortNameTo (Print &printer) const
| Print a short human-readable identifier (e.g. More...

## Detailed Description

Data broker for accessing ZoneInfo.

Definition at line 696 of file ZoneInfoLow.h.

## Member Function Documentation

## ◆ equals()

bool ace_time::ZoneInfoLow::ZoneInfoBroker::equals | ( | uintptr_t | zoneKey | ) | const
| inline

Parameters

  zoneKey | an opaque Zone primary key (e.g. const ZoneInfo*, or a uint16_t index into a database table of ZoneInfo records)

Definition at line 711 of file ZoneInfoLow.h.

## ◆ printNameTo()

void ace_time::ZoneInfoLow::ZoneInfoBroker::printNameTo | ( | Print & | printer | ) | const
| inline

Print a human-readable identifier (e.g.

"America/Los_Angeles").

Definition at line 754 of file ZoneInfoLow.h.

## ◆ printShortNameTo()

void ace_time::ZoneInfoLow::ZoneInfoBroker::printShortNameTo | ( | Print & | printer | ) | const
| inline

Print a short human-readable identifier (e.g.

"Los Angeles"). Any underscore in the short name is replaced with a space.

Definition at line 764 of file ZoneInfoLow.h.

The documentation for this class was generated from the following file:

- /home/brian/src/AceTimeSuite/libraries/AceTimeLib/src/zoneinfo/ZoneInfoLow.h